Package org.apache.tools.ant.util

# Class StreamUtils

java.lang.Object
org.apache.tools.ant.util.StreamUtils

public class StreamUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StreamUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> Stream<T>`
  `enumerationAsStream(Enumeration<T> e)`
  Turn Enumeration into a Stream
  `static <T> Stream<T>`
  `iteratorAsStream(Iterator<T> i)`
  Turn Iterator into a Stream

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StreamUtils

    public StreamUtils()

- ## Method Details

  - ### enumerationAsStream

    public static <T> Stream<T> enumerationAsStream(Enumeration<T> e)
    Turn Enumeration into a Stream
    Type Parameters:
      `T` - Enumeration type
    Parameters:
      `e` - Enumeration
    Returns:
      Stream

  - ### iteratorAsStream

    public static <T> Stream<T> iteratorAsStream(Iterator<T> i)
    Turn Iterator into a Stream
    Type Parameters:
      `T` - Iterator type
    Parameters:
      `i` - Iterator
    Returns:
      Stream